package net.sourceforge.ganttproject.gui.options.model;

import org.eclipse.core.runtime.IStatus;

public interface WritableStateHint extends UIHint {
    boolean isWritable();
    void setWritable(boolean isLocked);
    IStatus trySetWritable(boolean isLocked);
    
    String PROPERTY_IS_WRITABLE = "isWritable";
}
